package main

import (
	"flag"
	"fmt"
	"log"
	"net/http"
)

func main() {
	var port = flag.Int("port", 8080, "Listening port")
	flag.Parse()

	log.Println("Registering handlers...")
	mux := http.NewServeMux()
	http.HandleFunc("/", mux.ServeHTTP)

	log.Println(fmt.Sprintf("Ready, listening on port %d", *port))
	http.ListenAndServe(fmt.Sprintf(":%d", *port), nil)
}
